com.ihr.xbrl.comparator

## Class OrderedFragmentsList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XBRLFragmentWrapper>
      - - com.ihr.xbrl.comparator.OrderedFragmentsList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XBRLFragmentWrapper>, java.util.Collection<XBRLFragmentWrapper>, java.util.List<XBRLFragmentWrapper>, java.util.RandomAccess

      public class OrderedFragmentsList
      extends java.util.Vector<XBRLFragmentWrapper>

  Generates an ordered sequence of XBRLFragmentWrapper objects. See `XBRLFragmentWrapper` class for more details.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedFragmentsList()` This is an empty OrderedFragmentsList.
    `OrderedFragmentsList(java.util.Iterator<?> source, DTSComparator comparator)` This is an ordered collection of objects of the same type

  - ### Method Summary

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedFragmentsList

          public OrderedFragmentsList()

      This is an empty OrderedFragmentsList.

    - #### OrderedFragmentsList

          public OrderedFragmentsList(java.util.Iterator<?> source,
                              DTSComparator comparator)

      This is an ordered collection of objects of the same type
      Parameters:
        `source` - - Iterator to obtain objects from it
        `comparator` - - the comparator object for the OLD items, null for the NEW items